## ros-melodic-rsm-msgs 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rsm_msgs)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  roscpp
  std_msgs
  geometry_msgs
)

add_message_files(
   FILES
   Waypoint.msg
   WaypointArray.msg
   OperationMode.msg
   GoalStatus.msg
)

add_service_files(
  FILES
  AddWaypoint.srv
  GetWaypoints.srv
  MoveWaypoint.srv
  RemoveWaypoint.srv
  WaypointVisited.srv
  WaypointUnreachable.srv
  SetWaypointFollowingMode.srv
  SetWaypointRoutine.srv
  GetWaypointRoutines.srv
  SetNavigationGoal.srv
  GetNavigationGoal.srv
  GoalCompleted.srv
  GetRobotPose.srv
  SetOperationMode.srv
)

generate_messages(
   DEPENDENCIES
   std_msgs
   geometry_msgs
)

catkin_package(
    CATKIN_DEPENDS message_runtime
)

include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-melodic-rsm-msgs (1.2.1-1stretch) stretch; urgency=high



 -- Marco Steinbrink <marco.stb1993@gmail.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-rsm-msgs (1.2.0-1stretch) stretch; urgency=high

  * Put GetRobotPose service back in
  * Exploration Goal Status is now published as a topic to prevent service deadlocks
  * Removed failed goal services and added a publisher
  * Added GoalCompleted service to give more detailed feedback over navigation completed status
  * Added prefix to state name to identify autonomy behavior
  * Added services for handling completed navigation goals to remove the logic from the navigation plugin
  * Removed double maintainer tags
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Tue, 03 Nov 2020 23:00:00 -0000

ros-melodic-rsm-msgs (1.1.3-1stretch) stretch; urgency=high

  * Added all dependencies to CMakeLists and package.xml, that were missing previously
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-rsm-msgs (1.1.2-1stretch) stretch; urgency=high

  * Added necessary dependency on geometry_msgs to package.xml
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-melodic-rsm-msgs (1.1.1-1stretch) stretch; urgency=high

  * added changelogs
  * Changed package names, this time for real
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Sun, 04 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rsm-msgs
Section: misc
Priority: optional
Maintainer: Marco Steinbrink <marco.stb1993@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rsm-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs
Description: The rsm_msgs package features messages and services for the Robot Statemachine
